%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%CALIBRATION: MACRO 3
%HERE WE ASSIGN VALUES TO THE MODEL STRUCTURAL PARAMETERS ON THE BASE OF
%THE TARGETS WE DISCUSSED IN CLASS
%UNLESS DIFFERENTLY SPECIFIED, TARGETED MOMENTS ARE SET ACCORDING TO  
%KING AND REBELO (1999)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear;
close all;
clc;
%%
%%CHANGE THIS ACCORDING TO THE PATH WHERE YOU PUT THE MOD-FILE
cd('/Users/francescoturino/Google Drive/macro_phd/Macro3/codes'); 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%EXTERNALY CALIBRATED PARAMETERS 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
alpha=2/3;           %labor income share
n=(1.0133)^.25-1;    %population growth (data from FRED II)
%n=0;                 %set this to 0 to replicate King and Rebelo (1999)
g=(1.016)^.25-1;     %growth rate of technology 
R=(1.065)^.25;       %gross quarterly return from capital 
beta=(1+g)/R;        %subjective discount factor 
delta=0.025;         %quarterly capital depreatiation rate
sigma=1;             %relative risk aversion coefficient (inverse of IES)
eta=1;               %preference parameter affecting the Frisch elasticity
rho=0.979;           %autoregressive coefficient in the technology shock
sigma_e=0.0072;      %standard deviation of innovations
A=1;                 %steady state value of techbology shocks
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%INTERNALITY CALIBRATED PARAMETERS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
r=R-1;                      %net return from capital
rk=r+delta;                 %capital rental rate
yk=rk/(1-alpha);            %output to capital ratio
ik=(1+g)*(1+n)-(1-delta);   %investment to capital ratio
cy=1-ik/yk;                 %consumption share
h=1/5;                      %hours
xi=(1/h-1)*alpha/cy;        %apreference parameter
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

save params alpha  A n g delta rho sigma_e beta xi sigma eta;

