function [ys,check] = simple_RBC_steadystate(ys,exe)
global M_

%% Here we load the values of the deep parameters in a loop.
%%
NumberOfParameters = M_.param_nbr;                            % Number of deep parameters.
for jj = 1:NumberOfParameters                                  % Loop...
  paramname = deblank(M_.param_names(jj,:));                   %    Get the name of parameter i. 
  eval([ paramname ' = M_.params(' int2str(jj) ');']);         %    Get the value of parameter i.
end                                                           % End of the loop.  
check = 0;
%%LEAVE THIS AS IT IS 
%% END OF THE FIRST MODEL INDEPENDENT BLOCK.


%% THIS BLOCK IS MODEL SPECIFIC.
%%
%% Here the user has to define the steady state.
%% THE FIRST BLOCK IS RELATED WITH STEADY STATE THAT CAN BE EXPLICITELY COMPUTED (INDEPENDENT ON ETA AND SIGMA)
rk=((1+g)-bet*(1-delta))/bet;               %capital rental rate
r=rk-delta;                                   %net return of capital
kh=(A*(1-alph)/rk)^(1/alph);                %capital to hour ratio
yk=rk/(1-alph);                              %gdp to capital ratio  
w=A*alph*(kh)^(1-alph);                     %wage rate
ik=(1+n)*(1+g)-(1-delta);                     %investment to capital ratio
cy=1-ik/yk;                                   %consumption share
r=exp(r);                                    %R IS IN LEVEL THAT'S WHY WE COMPUTE THE EXPONENTIAL

%FROM HERE WE DISTINGUISH AMONG THE ANALITICAL (EXPLICIT) AND NUMERICAL SOLUTION
if sig==1 & eta==1                            %explicit solution for the steady state
h=alph/(cy*xi)/(alph/(cy*xi)+1);              %stedy-state level of hours worked 
k=kh*h;                                       %capital
else %numerical solution
  h0=alph/(cy*xi)/(alph/(cy*xi)+1);           %INITIAL GUESS BASED ON THE EXPLICIT SOLUTION 
  k_0=kh*h0;                                  %INITIAL GUESS BASED ON THE EXPLICIT SOLUTION
  k=fsolve('RBC_fun',k_0);                    %find the root of the equation
  h=k/kh;
end 
y=yk*k;                                       %output
x=ik*k;                                       %investment
c=y-x;                                        %consumption
a=A;                                          %technology
l=1-h;                                        %leisure
lab_prod=y/h;                                 %labor productivity


%FROM HERE WE COMPUTE THE VECTOR OF STEADY STATE ACCORDING TO HOW THE
%VARIABLES ARE SORTED IN THE PREABLE (var ....)

NumberOfEndogenousVariables = M_.endo_nbr;                    % Number of endogenous variables.
ys = zeros(NumberOfEndogenousVariables,1);                    % Initialization of ys (steady state).
for jj = 1:NumberOfEndogenousVariables                         % Loop...
  varname = deblank(M_.endo_names(jj,:));                      %    Get the name of endogenous variable i.                     
  eval(['ys(' int2str(jj) ') = ' varname ';']);                %    Get the steady state value of this variable.
end                                                           % End of the loop.
ys=log(ys); %HERE WE TAKE THE LOG BECAUSE WE ARE LOG-LINEARIZING (APART FROM r THAT IS IN LEVEL...)
    
    
    %%
